
<div class="box_card" style="margin:auto; margin:20px 8px 0 8px;">
  <fieldset>
    <LEGEND style="text-align:center">BUSCADOR</LEGEND>
     <div class="form-group">
      <input type="text" class="form-control" id="retailer_name_search" placeholder="El nombre del negocio a buscar">
    </div>

<button style="margin:20px" id="get_retailers_by_name_button" type="submit" class="btn btn-primary">Buscar negocios</button>
  </fieldset>

    <div id="retailers_list">
    </div>

<style>
.title_toggle{
  margin-top:15px;
  margin-bottom:5px;
  text-transform:uppercase;
}
</style>

<div class="toggle-controls" style="">
  <H3 style="margin:40px; text-align:center">COMPARAR</H3>
      
  <h5 class="title_toggle">
  <input id="fan_count" type="checkbox" data-height="35" checked data-toggle="toggle">
    &nbsp;Followers &nbsp;
  </h5>
  <h5 class="title_toggle">
  <input id="vertical" type="checkbox" data-height="35" checked data-toggle="toggle">
    &nbsp;Vertical
  </h5>
  <h5 class="title_toggle">
  <input id="sector" type="checkbox" data-height="35"  data-toggle="toggle">
    &nbsp;Sector
  </h5>
  <h5 class="title_toggle">
  <input id="cp" type="checkbox" data-height="35"  data-toggle="toggle">
    &nbsp;CP
  </h5>
  <h5 class="title_toggle">
  <input id="price_range" type="checkbox" data-height="35"  data-toggle="toggle">
    &nbsp;Precio
  </h5>
  <br/>
  <button style="margin:20px" id="get_retailers_by_comparation" type="submit" class="btn btn-secondary">Buscar negocios similares</button>
  <p style="font-size:16px" id="results"></p>
</div>


</div>

<script>

    $('#followers').change(function() {
      window.followers = 
      console.log('Toggle: ' + $(this).prop('checked'))
    })

  $(document).ready(function(){
    $(".toggle-controls").hide();
  })

  function get_retailer_name_to_search() {
    return $('#retailer_name_search').val();
  }

  $( "#get_retailers_by_comparation").click(function() {

    get_retailers_by_comparation();

  })

function get_retailers_by_comparation(){

  $(".spinner-wrapper").show();

  var fan_count = 'None'
  var sector = 'None'
  var price_range = 'None'
  var vertical = 'None'
  var cp = 'None'

  if ($("#fan_count").prop("checked")) {
    fan_count = window.retailer.fan_count
  } 
  if ($("#sector").prop("checked")) {
    sector = window.retailer.sector
  } 
  if ($("#price_range").prop("checked")) {
    price_range = window.retailer.price_range
  } 
  if ($("#vertical").prop("checked")) {
    vertical = window.retailer.vertical
  } 
  if ($("#cp").prop("checked")) {
    cp = window.retailer.zip
  } 

    $.get(
      "/get_retailers_by_comparation",
      "fan_count=" + fan_count + "&sector=" + sector + "&price_range=" +price_range + "&vertical=" +vertical + "&cp=" + cp,
      function(retailers) {

          clear_markers();
          var jsonPointsArray = $.parseJSON('[' + retailers + ']')[0];
          $("#results").html("Resultado : " + jsonPointsArray.length + " negocios");
          //$("#results").html("Resultado : " + jsonPointsArray.length + " negocios");
          map.setZoom(15);
        

          var itemsProcessed = 0
          $(".results-table").html('');

          jsonPointsArray.forEach(function(point) {
              add_marker(point);
              render_list(point);
              itemsProcessed++;
              if(itemsProcessed === jsonPointsArray.length) {
                console.log("closing!!");
                close_Table();
                $(".spinner-wrapper").hide();
              }
          })

          apply_clusters();
      },
      "html"
    )
}

function render_list(point) {

  point.engadgement = Math.round(point.engadgement*100)/100;

  var table = '<tr class="table-primary">';
                                
  
  table += '<th scope="row"><a href="javascript:void(0);" onclick="centerMap('+point.latitude+','+ point.longitude+')">'+ point.name+'</a></th>';
    table += '<td>'+point.fan_count+'</td>';
  table += '</tr> ';


  $(".results-table").append(table);
}

function centerMap(latitude, longitude){
  var location = new google.maps.LatLng(latitude, longitude);
  map.setZoom(18);
  map.panTo(location);
}

  function close_Table() {
      var table = ' <table class="table table-hover"> <thead> <tr> <th scope="col">Nombre</th> <th scope="col">Fans</th> <th scope="col">Frecuencia</th> <th scope="col">Engagement</th>  </tr> </thead> <tbody>';
      table += $(".results-table").html();
      table += '</tbody></table> ';
      $(".results-table").html(table);
  }


  $( "#get_retailers_by_name_button").click(function() {
    var retailer_name = get_retailer_name_to_search();
    $.get(
      "/get_retailers_by_name",
      "retailer_name=" + retailer_name,
      function(retailers) {
          console.log(retailers);
          var retailers = $.parseJSON('[' + retailers + ']')[0];
          print_retailers(retailers);
          }
      )
  })

  function print_retailers(retailers){

    window.retailers = retailers

    var table = '<table class="table table-hover">';
    retailers.forEach(function(retailer){
      table += '<tr class="table-primary"><td><a class="link_name" onclick="draw_retailer(' + retailer.facebook_id + ')" id="' + retailer.facebook_id + '">'  + retailer.name + '</a></td></tr>';
    })
    table += '</table>';

    $("#retailers_list").html(table);
  }

  function draw_retailer(facebook_id) {

    $(".toggle-controls").show();
    clear_markers();

    window.retailers.forEach(function(retailer) {
      if (retailer.facebook_id == facebook_id) {
        window.retailer = retailer;
        add_marker(retailer);
        apply_clusters();
      }
    })

  }

</script>
